Loading...
Searching...
No Matches
pstech.pstsdk.trackerdata.TrackerData Class Reference

Tracking information retrieved from tracker. More...

Collaboration diagram for pstech.pstsdk.trackerdata.TrackerData:
[legend]

## Public Member Functions
| __init__ (self, c_tracker_data)
| __eq__ (self, other)

## Public Attributes
list | timestamp = c_tracker_data.timestamp
| Timestamp of the moment the cameras captured the data.
| seqnumber = c_tracker_data.seqnumber
| Incremental data recording id.
list | targetlist = []
| target.TargetPose list representing detected tracking targets
list | datapoints = []
| point.Point list representing detected 3D markers not matched to a tracking target.

## Detailed Description

Tracking information retrieved from tracker.

This class contains all tracking information recorded at a certain time instance. It provides a list of all active tracking targets that have been detected by the PST Tracker, as well as a list of all 3D data points that have been detected by the tracker and are estimated not to be part of any active tracking target.

See also
  target.TargetPose
  point.Point
  tracker.Tracker.get_single_measurement
  tracker.Listener

## Constructor & Destructor Documentation

## ◆ __init__()

pstech.pstsdk.trackerdata.TrackerData.__init__ | ( |  | self,
|  |  | c_tracker_data )

## Member Function Documentation

## ◆ __eq__()

pstech.pstsdk.trackerdata.TrackerData.__eq__ | ( |  | self,
|  |  | other )

## Member Data Documentation

## ◆ datapoints

list pstech.pstsdk.trackerdata.TrackerData.datapoints = []

point.Point list representing detected 3D markers not matched to a tracking target.

## ◆ seqnumber

pstech.pstsdk.trackerdata.TrackerData.seqnumber = c_tracker_data.seqnumber

Incremental data recording id.

## ◆ targetlist

list pstech.pstsdk.trackerdata.TrackerData.targetlist = []

target.TargetPose list representing detected tracking targets

## ◆ timestamp

list pstech.pstsdk.trackerdata.TrackerData.timestamp = c_tracker_data.timestamp

Timestamp of the moment the cameras captured the data.

The timestamp uses the system clock provided in seconds since system boot (Windows) or Epoch (Linux).

The documentation for this class was generated from the following file:

- pstech/pstsdk/trackerdata.py